Subject: bug#3391: Bug#3391: 23.0.93; bookmarks-jump only works on second try

From: henry atting <[email-masked]>
Date: Sun, 21 Jun 2009 13:55:16 +0200

On Sa, Jun 20 2009, Glenn Morris wrote:

> Please keep 3391 in the cc.
>
> henry atting wrote:
>
>> On Fr, Jun 19 2009, Glenn Morris wrote:
> [...]
>>> Please give a complete recipe showing how to reproduce the problem,
>>> starting from emacs -Q with no .emacs.bmk file.
> [...]
>> Emacs started as usual and no .emacs.bmk present causes no problems
>> either. But if I set a bookmark and start it again the above mentioned
>> behaviour reoccures. (As I don't use bookmarks this would be no problem,
>> but org-mode sets a bookmark when using org-remember)
>
>
> The recipe starting from emacs -Q is missing, but your backtrace
> suggest this is a problem in linkd.el (specifically, in linkd-match),
> which is not part of Emacs.
>
>
> Debugger entered--Lisp error: (wrong-type-argument symbolp ("org-remember-last-stored" (filename . "~/notes.org") (front-context-string . "** [2009-06-19 F") (rear-context-string . "file:~/.emacs]]
> ") (position . 2181)))
>   symbol-name(("org-remember-last-stored" (filename . "~/notes.org") (front-context-string . "** [2009-06-19 F") (rear-context-string . "file:~/.emacs]]\n") (position . 2181)))
>   (string-match "@.*" (symbol-name (car-safe sexp)))
>   (if (string-match "@.*" (symbol-name ...)) (progn (let ... ... ... ...) t))
>   (when (string-match "@.*" (symbol-name ...)) (let (... ...) (set-marker begin-marker begin-point) (set-marker end-marker ...) (set-match-data ...)) t)
>   (let ((begin-point ...)) (condition-case nil (setq sexp ...) (...)) (when (string-match "@.*" ...) (let ... ... ... ...) t))
>   (let ((sexp nil)) (when (search-forward ... limit t) (backward-char 2)) (let (...) (condition-case nil ... ...) (when ... ... t)))
>   linkd-match(379)
>   funcall(linkd-match 379)

Ah, yes, linkd.el was the culprit. Since I did not use it anymore I
removed it from .emacs. 

Many thanks
henry